+ Reply
Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need iTunes version previous to 8.0.

is a discussion within the

Chit Chat

forums, a part of the

ModMyi

section;
Just as the title says. I need to downgrade my iTunes so I can jailbreak. I unfortunately let my girlfriend use my laptop and now I can't jailbreak my new
...
  1. #1
    Livin the iPhone Life Reako's Avatar
    Join Date
    Sep 2007
    Posts
    1,683
    Thanks
    31
    Thanked 182 Times in 126 Posts

    Default Need iTunes version previous to 8.0.
    Just as the title says. I need to downgrade my iTunes so I can jailbreak. I unfortunately let my girlfriend use my laptop and now I can't jailbreak my new phone, and use iPhoneBrowser. it all crashes. I need the previous version for windows so if anyone has the installer, please send it my way.
    TIA!

    Reako

  2. #2
    Livin the iPhone Life
    Join Date
    Jul 2007
    Location
    City of Brotherly Love
    Posts
    1,834
    Thanks
    104
    Thanked 321 Times in 176 Posts

    Here you go buddy

    itunes 7.6.2.9

    itunes 7.6.1.9

    itunes 7.6

    If you need any older versions lemmie know
    [IMG]http://i480.photobucket.com/albums/rr164/sundayduffer/modmyimirrormind.png[/IMG]

  3. #3
    iPhoneaholic danvicente's Avatar
    Join Date
    Jan 2008
    Location
    planet earth
    Posts
    365
    Thanks
    9
    Thanked 27 Times in 25 Posts

    according to the new thread on itunes 8 you can jailbreak by using a custom restore (custom ispw) without having to downgrade
    17" MacBook Pro
    G5
    iPhone 3GS 16G 3.1 Jailbroken//AT&T
    follow me on twitter-@danvicente

  4. #4
    Livin the iPhone Life Reako's Avatar
    Join Date
    Sep 2007
    Posts
    1,683
    Thanks
    31
    Thanked 182 Times in 126 Posts

    The jailbroke work seemingly fine, BUT, WINPWN crashes, and iPhoneBrowser will not work with the new iTunes. Sooooo, I just thought it would be much easier that way.

    Reako

    Hmm. Does anyone have the version directly prior to 8.0? I believe it was 7.7.1? I need a few files from the install. Sorry for the double post.

    Reako
    Last edited by Reako; 09-10-2008 at 09:24 AM. Reason: Automerged Doublepost

  5. #5
    My iPhone is a Part of Me JazJon's Avatar
    Join Date
    Aug 2008
    Location
    San Francisco
    Posts
    606
    Thanks
    37
    Thanked 51 Times in 39 Posts

    I was worried that iPhoneBrowser would break if I upgraded to 8.x, I'm glad I waited. Anyone know if the iPhoneBrowser project is still active? Will it be updated soon? I use quickpwn so I dont think itunes version matters at all for that right?

  6. #6
    Moderator Nicholas Knight's Avatar
    Join Date
    Dec 2007
    Location
    Virginia Beach, Va
    Posts
    1,243
    Thanks
    79
    Thanked 310 Times in 170 Posts

    here is every version: Old Version of iTunes Download with the exception of 7.7.x

  7. #7
    Livin the iPhone Life Reako's Avatar
    Join Date
    Sep 2007
    Posts
    1,683
    Thanks
    31
    Thanked 182 Times in 126 Posts

    Actually, I found 7.7.1. Unfortunately WINPWN breaks at the end when running with iTunes 8 also. I think it uses the newest iTunesMobileDevice.dll file and I'm gonna guess its unsupported. I finally got everything back to normal with a few tweaks. Thanks for the help nonetheless.

    Reako

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts